Bug 1395826 - No dialog appears when clicking to verifying a new replication subscription with pglogical
Summary: No dialog appears when clicking to verifying a new replication subscription w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Nick Carboni
QA Contact: Alex Newman
URL:
Whiteboard: replication
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 18:59 UTC by luke couzens
Modified: 2017-05-31 14:24 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:09 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description luke couzens 2016-11-16 18:59:03 UTC
Description of problem:when adding a new subscription and clicking verify on the global region, there is no pop up dialog to confirm or deny creds.


Version-Release number of selected component (if applicable):5.7.0.11


How reproducible:100%


Steps to Reproduce:
1.provision 2 apps
2.setup region 99 and region 1
3.navigate to settings-configuration-settings-region-replication on both apps
4.set rr1 to remote region
5.set rr99 to global and add subscription to remote
6.click three dots + verify to check details.

Actual results:mr spinny then nothing


Expected results:dialog confirming or denying connection/creds


Additional info: the only work around is to click save to produce a dialog on the subscription status.

Comment 2 Nick Carboni 2016-12-02 21:22:51 UTC
https://github.com/ManageIQ/manageiq/pull/12971

Comment 3 CFME Bot 2016-12-06 17:16:05 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/888b3011725e5d8d4693b585aadd00bc0cb291c3

commit 888b3011725e5d8d4693b585aadd00bc0cb291c3
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Dec 2 16:15:47 2016 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Dec 2 16:15:47 2016 -0500

    Don't try to access the database when validating a new subscription
    
    The change made in bd9bb193edb19d0870efcbd0ed99c3a44dfd3226 to
    combine validating a new and existing subscription made us attempt
    to fetch the password from the database when validating a subscription
    that didn't exist in the database yet.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1395826

 app/models/pglogical_subscription.rb       |  1 +
 spec/models/pglogical_subscription_spec.rb | 13 +++++++++++++
 2 files changed, 14 insertions(+)

Comment 5 errata-xmlrpc 2017-05-31 14:24:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.